Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.demos
Class Draw2Channels

    java.lang.Object
      org.jgroups.demos.Draw2Channels

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class Draw2Channels

extends java.lang.Object
implements java.awt.event.ActionListener

Same as Draw but using 2 channels: one for view changes (control channel) and the other one for drawing (data channel). Ported to use Swing Nov 1 2001, not tested.

Author:
  Bela Ban, Nov 1 2001

Constructor Summary
`Draw2Channels(java.lang.String control_props, java.lang.String data_props, boolean no_channel)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `clearPanel()`
`void` | `go()`
`static void` | `main(java.lang.String[] args)`
`void` | `sendClearPanelMsg()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Draw2Channels

    public Draw2Channels(java.lang.String control_props,
                         java.lang.String data_props,
                         boolean no_channel)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)

### go

    public void go()

### clearPanel

    public void clearPanel()

### sendClearPanelMsg

    public void sendClearPanelMsg()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.